'use strict';

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactDom = require('react-dom');

var _reactDom2 = _interopRequireDefault(_reactDom);

var _reactHighlight = require('react-highlight.js');

var _reactHighlight2 = _interopRequireDefault(_reactHighlight);

var _numeric_label = require('./component/numeric_label');

var _numeric_label2 = _interopRequireDefault(_numeric_label);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Panel = function Panel(_ref) {
  var title = _ref.title,
      code = _ref.code,
      children = _ref.children;
  return _react2.default.createElement(
    'div',
    { className: 'panel panel-default' },
    _react2.default.createElement(
      'div',
      { className: 'panel-heading' },
      _react2.default.createElement(
        'h4',
        { className: 'panel-title', role: 'presentation' },
        title
      )
    ),
    _react2.default.createElement(
      'div',
      { className: 'panel-body' },
      _react2.default.createElement(
        'h6',
        null,
        'Code:'
      ),
      _react2.default.createElement(
        _reactHighlight2.default,
        { language: 'jsx' },
        code
      ),
      _react2.default.createElement(
        'h6',
        null,
        'Output:'
      ),
      children
    )
  );
};

var App = function (_Component) {
  _inherits(App, _Component);

  function App(props) {
    _classCallCheck(this, App);

    return _possibleConstructorReturn(this, (App.__proto__ || Object.getPrototypeOf(App)).call(this, props));
  }

  _createClass(App, [{
    key: 'render',
    value: function render() {
      var option = {
        'justification': 'L',
        'locales': 'en-US',
        'currency': true,
        'currencyIndicator': 'USD',
        'percentage': false,
        'precision': 2,
        'wholenumber': null,
        'commafy': true,
        'cssClass': ['red'],
        'shortFormat': true,
        'shortFormatMinValue': 10000,
        'shortFormatPrecision': 1,
        'title': true
      };

      var option2 = {
        'justification': 'C',
        'locales': 'en-US',
        'currency': false,
        'currencyIndicator': 'USD',
        'percentage': true,
        'precision': 0,
        'wholenumber': null,
        'commafy': true,
        'shortFormat': true,
        'title': 'some title'
      };

      var option3 = {
        'justification': 'R',
        'locales': 'uk-UA',
        'currency': false,
        'currencyIndicator': 'UAH',
        'percentage': true,
        'precision': 1,
        'wholenumber': false,
        'commafy': true,
        'shortFormat': false
      };

      var options1string = 'const option = {\n\'justification\': \'L\',\n\'locales\': \'en-US\',\n\'currency\':true,\n\'currencyIndicator\': \'USD\',\n\'percentage\': false,\n\'precision\': 2,\n\'wholenumber\': null,\n\'commafy\': true,\n\'cssClass\': [\'red\'],\n\'shortFormat\': true,\n\'shortFormatMinValue\': 10000,\n\'shortFormatPrecision\': 1,\n\'title\': true\n};';

      return _react2.default.createElement(
        'div',
        { className: 'numeric-wrapper' },
        _react2.default.createElement(
          'h1',
          null,
          'React Pretty Numbers'
        ),
        _react2.default.createElement(
          'p',
          null,
          'Show pretty fomatted numbers'
        ),
        _react2.default.createElement(
          'p',
          null,
          _react2.default.createElement(
            'a',
            { href: 'https://github.com/pvoznyuk/react-pretty-numbers' },
            'https://github.com/pvoznyuk/react-pretty-numbers'
          )
        ),
        _react2.default.createElement(
          Panel,
          {
            title: 'Currency',
            code: '<NumericLabel params={{currency: true, commafy:true, shortFormat: true, justification: \'L\'}}>12345678.9012345</NumericLabel>' },
          _react2.default.createElement(
            _numeric_label2.default,
            { params: { currency: true, commafy: true, shortFormat: true, justification: 'L' } },
            '12345678.9012345'
          ),
          _react2.default.createElement('br', null)
        ),
        _react2.default.createElement(
          Panel,
          {
            title: 'Percentage',
            code: '<NumericLabel params={{percentage: true, precision: 3, shortFormatPrecision: 3, justification: \'C\'}}>12345678.9012345</NumericLabel>' },
          _react2.default.createElement(
            _numeric_label2.default,
            { params: { percentage: true, precision: 3, shortFormatPrecision: 3, justification: 'C' } },
            '12345678.9012345'
          ),
          _react2.default.createElement('br', null)
        ),
        _react2.default.createElement(
          Panel,
          {
            title: 'Default behaviour',
            code: '<NumericLabel>12345678.9012345</NumericLabel>' },
          _react2.default.createElement(
            _numeric_label2.default,
            null,
            '12345678.9012345'
          ),
          _react2.default.createElement('br', null)
        ),
        _react2.default.createElement(
          Panel,
          {
            title: 'All possible options',
            code: options1string + '\n\n<NumericLabel params={option}>12345.6789</NumericLabel>\n          ' },
          _react2.default.createElement(
            _numeric_label2.default,
            { params: option },
            '12345.6789'
          ),
          _react2.default.createElement('br', null)
        )
      );
    }
  }]);

  return App;
}(_react.Component);

_reactDom2.default.render(_react2.default.createElement(App, null), document.querySelector('.container'));
module.hot.accept();